This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 749934

Summary: 3 Hour Lag time for Alert: Agent/Tomcat Plugin on Windows 7 w/ JON server on RHEL
Product: [Other] RHQ Project Reporter: Richard Robinson <rrobinso>
Component: AgentAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: low Docs Contact:
Priority: low    
Version: 3.0.1CC: hrupp
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-01 15:21:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Richard Robinson 2011-10-28 18:17:33 EDT
Description of problem: Tomcat Agent on Windows 7 takes about 3 hours to communicate alert to JON Server on RHEL. (Could be the other way around: JON Server on RHEL takes 3 hours to harvents alert from Tomcat Agent on Windows 7)


Version-Release number of selected component (if applicable):

Agent: 3.0.1 GA of Tomcat RHQ Agent: jopr-tomcat-plugin-3.0.1.GA.jar

Agent OS : Windows 7
Type: Windows (Platform) 	Description: Microsoft Windows Operating System
Version: Win32 6.1 	Parent: none
Hostname: PPIMMXW12 	OS Version: 6.1
OS Name: Win32 	Architecture: x64

JON Server: 2.4.1 (with 1st 7 of 9 patches)
Server OS: Linux nke-lnx-pcs-d022 2.6.18-238.9.1.el5 #1 SMP Fri Mar 18 12:42:39 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
1. Install JON 2.4.1 Server on RHEL. Apply first 7 of 9 patches. Install plugins for agents: jopr-tomcat-plugin-3.0.1.GA.jar
2. Install and configure plugin on Windows 7. 
3. In JON Server, set up alert. 

ALERT DETAILS
If Condition: Availability goes DOWN   
Dampening Rule:	Each time condition set is true   
Action Filters: Disable alert until re-enabled manually or by recovery alert: false      
Notification Actions:
Sender Info: 1 notifications exist for this alert definition (Send email if 

From Windows 7, shutdown the tomcat server. Alert shows up over 3 hours later, and email is also sent at that time.

Steps to Reproduce:
1. See previous section
2.
3.
  
Actual results:
Lag time of over 3 hours between time that tomcat server is shutdown and alert is fired (and email notification is sent)

Expected results:
Within 3-5 minutes the alert should fire and email should be sent (as it does when agent is on RHEL).

RHEL Agent OS: Linux nke-lnx-pcs-d034 2.6.18-238.9.1.el5 #1 SMP Fri Mar 18 12:42:39 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux


Additional info:
Comment 1 Charles Crouch 2011-10-31 11:20:21 EDT
Pushing to QE to verify if this is repeatable
Comment 2 Heiko W. Rupp 2013-09-01 15:21:35 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.